> For the complete documentation index, see [llms.txt](https://docs.esimpay.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.esimpay.net/eng/api/balance.md).

# Balance

Real-time balance queries for the merchant account.

Retrieve merchant balance and available funds.

## Get merchant balance

> \
> Returns the merchant's current balance.  \
> Requires authentication via the \`CF-MERCHANT-ID\` header.  \
> Returns the amount of available funds in the merchant's deposit currency.<br>

```json
{"openapi":"3.1.1","info":{"title":"API","version":"v1"},"tags":[{"name":"Balance","description":"Retrieve merchant balance and available funds."}],"servers":[{"url":"https://api.esimpay.net/api/v1"}],"paths":{"/customer/balance":{"get":{"operationId":"get_balance","summary":"Get merchant balance","description":"\nReturns the merchant's current balance.  \nRequires authentication via the `CF-MERCHANT-ID` header.  \nReturns the amount of available funds in the merchant's deposit currency.\n","parameters":[{"schema":{"type":"string"},"name":"CF-MERCHANT-ID","in":"header","description":"Merchant identifier for authentication","required":true}],"responses":{"200":{"description":"Balance retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"description":"Request status","type":"string"},"message":{"description":"Error message (null on success)","type":["string","null"]},"balance":{"description":"Current merchant balance (USDT)","type":"number"}}}}}},"401":{"description":"Authentication error or general error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"description":"Request status","type":"string"},"message":{"description":"Error description","type":"string"}}}}}}},"tags":["Balance"]}}}}
```
